<?php
// Start Session
session_start();

error_reporting(E_ALL);

// Include Config
require('assets/config.php');


require('Classes/Bootstrap.php');
require('Classes/Controller.php');
require('Classes/Model.php');

require('Controller/home.php');
require('Controller/impressum.php');
require('Controller/user.php');


require('Models/home.php');
require('Models/impressum.php');
require('Models/user.php');

$bootstrap = new Bootstrap($_GET);

$controller = $bootstrap->createController();

if($controller){
	$controller->executeAction();
}

?>

<!--
                                                                                                                                
                                                                                                                                 
KKKKKKKKK    KKKKKKK LLLLLLLLLLL                             AAA                               AAA                  SSSSSSSSSSSSSSS 
K:::::::K    K:::::K L:::::::::L                            A:::A                             A:::A               SS:::::::::::::::S
K:::::::K    K:::::K L:::::::::L                           A:::::A                           A:::::A             S:::::SSSSSS::::::S
K:::::::K   K::::::K LL:::::::LL                          A:::::::A                         A:::::::A            S:::::S     SSSSSSS
KK::::::K  K:::::KKK  L:::::L                            A:::::::::A                       A:::::::::A           S:::::S            
  K:::::K K:::::K     L:::::L                           A:::::A:::::A                     A:::::A:::::A          S:::::S            
  K::::::K:::::K      L:::::L                          A:::::A A:::::A                   A:::::A A:::::A          S::::SSSS         
  K:::::::::::K       L:::::L                         A:::::A   A:::::A                 A:::::A   A:::::A          SS::::::SSSSS    
  K:::::::::::K       L:::::L                        A:::::A     A:::::A               A:::::A     A:::::A           SSS::::::::SS  
  K::::::K:::::K      L:::::L                       A:::::AAAAAAAAA:::::A             A:::::AAAAAAAAA:::::A             SSSSSS::::S 
  K:::::K K:::::K     L:::::L                      A:::::::::::::::::::::A           A:::::::::::::::::::::A                 S:::::S
KK::::::K  K:::::KKK  L:::::L         LLLLLL      A:::::AAAAAAAAAAAAA:::::A         A:::::AAAAAAAAAAAAA:::::A                S:::::S
K:::::::K   K::::::K LL:::::::LLLLLLLLL:::::L    A:::::A             A:::::A       A:::::A             A:::::A   SSSSSSS     S:::::S
K:::::::K    K:::::K L::::::::::::::::::::::L   A:::::A               A:::::A     A:::::A               A:::::A  S::::::SSSSSS:::::S
K:::::::K    K:::::K L::::::::::::::::::::::L  A:::::A                 A:::::A   A:::::A                 A:::::A S:::::::::::::::SS 
KKKKKKKKK    KKKKKKK LLLLLLLLLLLLLLLLLLLLLLLL AAAAAAA                   AAAAAAA AAAAAAA                   AAAAAAA SSSSSSSSSSSSSSS   

-->
